Skip to main content
GET
List device references
Each item names the linked device, the direction of the link as seen from the device in the path, the connection key, and the ontology of the linked device. A link is stored on both devices, with opposite directions. See Organize devices and points.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

deviceId
string
required

Device identifier.

Query Parameters

asc
string

Field to sort ascending by.

canonicalType
string

Only links to devices of this ontology canonical type.

dsc
string
default:_id

Field to sort descending by. Default _id.

limit
integer<int32>
default:50

Number of items per page, from 1 to 200. Default 50.

Required range: 1 <= x <= 200
page
integer<int32>
default:1

Page number to return. The first page is 1.

Required range: x >= 1
q
string

Free-text search term.

Response

A page of linked devices.

data
object[]
page
integer<int32>
limit
integer<int32>
pageCount
integer<int32>
itemCount
integer<int32>